Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# CPAN::Version

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# CPAN::Version

- NAME
- SYNOPSIS
- DESCRIPTION
- LICENSE

# NAME

CPAN::Version - utility functions to compare CPAN versions

# SYNOPSIS

      use CPAN::Version;  CPAN::Version->vgt("1.1","1.1.1");    # 1 bc. 1.1 > 1.001001  CPAN::Version->vlt("1.1","1.1");      # 0 bc. 1.1 not < 1.1  CPAN::Version->vcmp("1.1","1.1.1");   # 1 bc. first is larger  CPAN::Version->vcmp("1.1.1","1.1");   # -1 bc. first is smaller  CPAN::Version->readable(v1.2.3);      # "v1.2.3"  CPAN::Version->vstring("v1.2.3");     # v1.2.3  CPAN::Version->float2vv(1.002003);    # "v1.2.3"

# DESCRIPTION

This module mediates between some version that perl sees in a package and the version that is published by the CPAN indexer.

It's only written as a helper module for both CPAN.pm and CPANPLUS.pm.

As it stands it predates version.pm but has the same goal: make version strings visible and comparable.

# LICENSE

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- LICENSE